#include <stdio.h>
#include <stdlib.h>


int main()
{
    long long int x, n, i, z, sum=0;
    long long int a[10];
    scanf("%lld %lld", &n, &x);
    for(i=0 ;i<n; i++)
    {
        scanf("%lld", &a[i]);
    }
    for(i=0 ;i<n; i++)
    {
        if(x<a[i])
        {
            z=a[i]-x;
            sum=sum+z;

        }
        else
            if(a[i]<x)
            {
                z=x-a[i];
                sum=sum+z;
            }
        x=a[i];
        sum=sum+0;
    }
    printf("%lld", sum);
    return 0;
}